#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD2,0x88,0x2F,0xB5,0x55,0xA5,0xF0,0x2A,0xCF,0x27,0x87,0xE2,
		0x37,0xEF,0x70,0xD7,0x2B,0xA1,0xAD,0x33,0xFD,0x39,0x38,0xB3,
		0xCE,0x94,0x6F,0xA1,0xE4,0x7C,0x7A,0x65,0x92,0x5C,0x11,0x51,
		0xCD,0xEB,0xA9,0xAD,0x04,0xFF,0x2A,0xB4,0xCC,0x2E,0x03,0x81,
		0xDA,0x71,0x9C,0xC8,0xCD,0x1E,0x71,0x61,0x55,0xC3,0x23,0xEB,
		0x2D,0xE0,0x3E,0xFB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
